Index: SPECS/gmp.spec
===================================================================
--- SPECS.orig/gmp.spec
+++ SPECS/gmp.spec
@@ -9,7 +9,7 @@
 Summary: A GNU arbitrary precision library
 Name: gmp
 Version: 4.1.4
-Release: 12.3
+Release: 12.3.fa1
 URL: http://www.swox.com/gmp/
 Source0: ftp://ftp.gnu.org/pub/gnu/gmp/gmp-%{version}.tar.bz2
 Source1: http://www.mpfr.org/mpfr-%{mpfr_version}/mpfr-%{mpfr_version}.tar.bz2
@@ -21,6 +21,9 @@ Patch2: gmp-4.1.2-autoconf.patch
 Patch3: gmp-4.1.4-fpu.patch
 # http://www.mpfr.org/mpfr-%{mpfr_version}/patches
 #Patch4: mpfr-%{mpfr_version}-cumulative.patch
+Patch5: gmp-4.1.4-arm-vfp.patch
+Patch6: gmp.h.arm.patch
+Patch7: gmp-mparam.h.arm.patch
 License: LGPL 
 Group: System Environment/Libraries
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -64,6 +67,7 @@ install the gmp package.
 #cd mpfr-%{mpfr_version}
 #%patch4 -p1
 #cd ..
+%patch5 -p1
 
 libtoolize --force
 aclocal-1.6 -I mpn -I mpfr
@@ -144,12 +148,18 @@ basearch=%{_arch}
 %ifarch %{ix86}
 basearch=i386
 %endif
+# always use arm for arm*
+%ifarch %{arm}
+basearch=arm
+%endif
 # Rename files and install wrappers
 
 mv %{buildroot}/%{_includedir}/gmp.h %{buildroot}/%{_includedir}/gmp-${basearch}.h
 install -m644 %{SOURCE2} %{buildroot}/%{_includedir}/gmp.h
+patch %{buildroot}/%{_includedir}/gmp.h < %{PATCH6}
 mv %{buildroot}/%{_includedir}/gmp-mparam.h %{buildroot}/%{_includedir}/gmp-mparam-${basearch}.h
 install -m644 %{SOURCE3} %{buildroot}/%{_includedir}/gmp-mparam.h
+patch %{buildroot}/%{_includedir}/gmp-mparam.h < %{PATCH7}
 
 
 %check
